Viewing Issue Advanced Details Jump to Notes ] hornet.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02004 Crash/Freeze Critical (emulation) Always Jul 13, 2008, 08:04 Feb 10, 2015, 07:10
Tester Scagazza View Status Public Platform MAME (Self-compiled)
Assigned To etabeta Resolution Fixed OS
Status [?] Resolved   Driver hornet.cpp
Version 0.126 Fixed in Version 0.159 Build 64-bit
Summary 02004: nbapbp: Hardware error
Description Nba Play By Play stops during boot with this message:
Hardware security error -01N
Steps To Reproduce
Additional Information
Flags
Regression Version 0.125u7
Affected Sets / Systems nbapbp
Attached Files
 


-  Notes
User avatar
No.11444
peterferrie
(Developer)
Feb 7, 2015, 00:59
The security error is shown because the game has unemulated protection. It's the expected result.
User avatar
No.11445
Osso
(Developer)
Feb 7, 2015, 08:14
Just to avoid them getting lost, those were some notes from smf at mameworld:

The error in MAME is due to a 93C46 being added. According to the board notes, this should only be used when a LAN board is present. Whether the board notes are right or not I can't say.

To make the game playable in MAME change src\mame\drivers\hornet.c

case 3: /* I/O port 3 */
/*
0x80 = JVSINIT (JAMMA I/F SENSE)
0x40 = COMMST
0x20 = GSENSE
0x08 = EEPDO (EEPROM DO)
0x04 = ADEOC (ADC EOC)
0x02 = ADDOR (ADC DOR)
0x01 = ADDO (ADC DO)
*/
r = 0xf0 | (eeprom->read_bit() << 3);
r |= adc1213x_do_r(adc12138, space, 0) | (adc1213x_eoc_r(adc12138, space, 0) << 2);
break;



change: r = 0xf0 | (eeprom->read_bit() << 3);
to: r = 0xf0; (eeprom->read_bit() << 3);

the game will then boot. The time keeper has nothing to do with the message, if it's blank then the game will initialise it. The default contents that mame currently uses are unnecessary and wrong.